View Issue Details

IDProjectCategoryView StatusLast Update
0029745CommunityOCCT:Modeling Datapublic2022-04-10 10:48
Reporterventu Assigned Toabulyche  
PrioritynormalSeveritycrash 
Status verifiedResolutionfixed 
Product Version7.2.0 
Target Version7.7.0 
Summary0029745: Modeling Data - GeomAdaptor_Surface::VIntervals fails on periodic surfaces
DescriptionSuppose:
_ we have a V periodic NURBS Surface;
_ we have a GeomAdaptor_Surface with V limits outside of the period;
_ the surface has discontinuities;
_ we call GeomAdaptor_Surface::VIntervals to get a list of continuous subintervals.

That method will build an U iso-curve and get such intervals on that; at the end, however, that intervals are bounded with:
  T(T.Lower()) = myVFirst;
  T(T.Lower() + myNbVIntervals) = myVLast;

The problem arises since the value returned by the curve Intervals(...) method will be within the period, so those values will be invalid.


Example:
_ surface with periodic V knot vector ranging [0 ; 4];
_ surface adaptor with limits [5 ; 6].
_ Intervals(...) on the ISO curve returns [1,2,3];
_ the statements reported above will transform the result in [5,2,6].

This will lead to a crash in subsequent processing.



A solution along the line of the following might work:
  if (mySurface->IsVPeriodic())
    for (Standard_Integer i=T.Lower()+1;i<T.Lower()+myNbVIntervals;++i)
      T(i)+=myVFirst-T(T.Lower());
  T(T.Lower()) = myVFirst;
  T(T.Lower() + myNbVIntervals) = myVLast;


Notice the problem should also occur in U direction.
Steps To ReproduceQAcommand:
OCC29745 bc1 1 0 12

TagsNo tags attached.
Test case numberbugs moddata_3 bug29745

Attached Files

  • bug29745_2 (1,292 bytes)
  • bug29745_1 (238 bytes)

Activities

akaftasev

2020-11-06 11:58

developer   ~0096583

Dear ventu, can you attach more detailed steps to reproduce current bug, because according to this description it is hard to reproduce it

ventu

2020-12-18 18:35

reporter   ~0097726

TL;DR
Changes made in 7.4.0 prevent this bug from happening again.
However, I'm not sure the new result is correct either.



The problem arose while importint a STeP model and I'm having an hard time reproducing it programmatically (even with 7.3.0).

In any case, please take a look at the following code:
  TColgp_Array2OfPnt Poles(1,2,1,3);
  Poles(1,1)=gp_Pnt(0,0,0); Poles(2,1)=gp_Pnt(0,0,1);
  Poles(1,2)=gp_Pnt(1,0,0); Poles(2,2)=gp_Pnt(1,0,1);
  Poles(1,3)=gp_Pnt(1,1,0); Poles(2,3)=gp_Pnt(1,1,1);
  //Poles(1,4)=gp_Pnt(0,0,0); Poles(2,4)=gp_Pnt(0,0,1);
  TColStd_Array1OfReal UKnots(1,2),VKnots(1,4),ResultsA(1,4),ResultsB(1,4);
  UKnots(1)=0; UKnots(2)=1;
  VKnots(1)=0; VKnots(2)=1; VKnots(3)=2; VKnots(4)=3;
  TColStd_Array1OfInteger UMult(1,2),VMult(1,4);
  UMult(1)=2; UMult(2)=2;
  VMult(1)=1; VMult(2)=1; VMult(3)=1; VMult(4)=1;
  Handle(Geom_BSplineSurface) S=new Geom_BSplineSurface(Poles,UKnots,VKnots,UMult,VMult,1,1,false,true);
  GeomAdaptor_Surface A(S,0,1,0,3);
  A.VIntervals(ResultsA,GeomAbs_C1);
  for (TColStd_Array1OfReal::const_iterator i(ResultsA.begin());i!=ResultsA.end();++i) std::cout<<*i<<" ";
  std::cout<<std::endl;
  GeomAdaptor_Surface B(S,0,1,3,6);
  B.VIntervals(ResultsB,GeomAbs_C1);
  for (TColStd_Array1OfReal::const_iterator i(ResultsB.begin());i!=ResultsB.end();++i) std::cout<<*i<<" ";
  std::cout<<std::endl;

Output I'd expect (but possibly I'm wrong):
0 1 2 3
3 4 5 6

Output I get (with OC 7.3.0):
0 1 2 3
3 6 0 0

Notice here two values are missing.
This is not the original problem I reported and which I'm unable to reproduce now: in that case what I was getting in the second line was the equivalent of 3 1 2 6.



7.4.0 changed this behaviour: at line 441 of GeomAdaptor_Surface.cxx, "break" was replaces with a "return".
So the code at the end of the function, that changes only the first and last value, is not executed, and what I originally reported cannot happen anymore.

Still I'm wondering whether "3 6" is to be expected or if we just exchanged a bug for another.

akaftasev

2021-01-26 11:37

developer   ~0098413

Fixed GeomAdaptor_Curve::LocalContinuity() for periodic surface

git

2021-01-28 14:12

administrator   ~0098476

Branch CR29745 has been updated by akaftasev.

SHA-1: 9fcc79ee967c2aac68be0d79cd0ef071a44ad41d


Detailed log of new commits:

Author: akaftasev
Date: Thu Jan 28 14:12:53 2021 +0300

    Fixed GeomAdaptor_Curve::NbIntervals() method to periodic curves

akaftasev

2021-01-28 14:13

developer   ~0098477

For previous commit

akaftasev

2021-02-01 15:27

developer   ~0098571

Debbuging

git

2021-02-03 18:09

administrator   ~0098649

Branch CR29745 has been updated forcibly by akaftasev.

SHA-1: d2f31432caeaba5ec16aac488c51d235b55e07ba

akaftasev

2021-02-03 18:26

developer   ~0098650

Fixed GeomAdaptor_Curve::Intervals() method to periodic curves

git

2021-02-03 21:46

administrator   ~0098651

Branch CR29745 has been updated forcibly by akaftasev.

SHA-1: 3bd96f32e4a28aecb4919b6c3a755415c420a771

git

2021-02-05 11:43

administrator   ~0098668

Branch CR29745 has been updated by akaftasev.

SHA-1: 20c3e6efe6b27fb636576e28aff309fbcf43f7c6


Detailed log of new commits:

Author: akaftasev
Date: Fri Feb 5 11:44:33 2021 +0300

    some fixes for negative intervals

Author: akaftasev
Date: Thu Feb 4 15:17:42 2021 +0300

    delete bad definition

git

2021-02-05 16:53

administrator   ~0098677

Branch CR29745 has been updated by akaftasev.

SHA-1: 56487511bcdf6249799da43d28cc00abcb6c3b5c


Detailed log of new commits:

Author: akaftasev
Date: Fri Feb 5 16:54:21 2021 +0300

    Change definition of local continuity only within one period

akaftasev

2021-02-05 16:59

developer   ~0098679

Analyzing results and fixing regressions

akaftasev

2021-02-08 18:10

developer   ~0098776

Debuging

git

2021-02-08 18:28

administrator   ~0098778

Branch CR29745_1 has been created by akaftasev.

SHA-1: 7b515a087b727cde31e7dd56920b008cdfa251b6


Detailed log of new commits:

Author: akaftasev
Date: Fri Jan 15 10:50:18 2021 +0300

    0029745: Modeling Data - GeomAdaptor_Surface::VIntervals fails on periodic surfaces
    
    Fixed GeomAdaptor_Curve::LocalContinuity() for periodic surface within one period
    Fixed GeomAdaptor_Curve::NbIntervals() method to periodic curves
    Fixed GeomAdaptor_Curve::Intervals() method to periodic curves

git

2021-02-18 11:33

administrator   ~0098946

Branch CR29745 has been updated forcibly by akaftasev.

SHA-1: e4a329cc3920ab1f1f6575c69b0c910a9b787e77

ifv

2021-03-04 17:39

developer   ~0099402

Dear Andrey, I think that Geom2dAdaptor_Curve should be modified too in order to have the same behaviour for 2d and 3d curves. In general, codes for 2d and 3d cases must be practically the same, because works only with 1d parameters of splines, so think about using any template approach.

ifv

2021-03-05 09:11

developer   ~0099411

Review

git

2021-03-05 14:26

administrator   ~0099433

Branch CR29745_2 has been created by akaftasev.

SHA-1: e1dc10a3d1f805f755ba3c4f8a66c494e45fdc0a


Detailed log of new commits:

Author: akaftasev
Date: Fri Jan 15 10:50:18 2021 +0300

    update tests
    
    change test
    
    0029745: Modeling Data - GeomAdaptor_Surface::VIntervals fails on periodic surfaces
    
    Fixed GeomAdaptor_Curve::LocalContinuity() for periodic surface within one period.
    Fixed GeomAdaptor_Curve::NbIntervals() method to periodic curves.
    Fixed GeomAdaptor_Curve::Intervals() method to periodic curves.
    Deleted definition of length from tests.
    Update Geom2dAdaptor_Curve to the same behavior.

git

2021-03-05 14:27

administrator   ~0099434

Branch CR29745_2 has been updated forcibly by akaftasev.

SHA-1: 77aa4695c4be637701dfb97d6e2012fb8878f5c6

git

2021-03-05 18:44

administrator   ~0099446

Branch CR29745_2 has been updated forcibly by akaftasev.

SHA-1: 69f9e8dccadf6c305b5353ff7aca548d4d974c83

akaftasev

2021-03-05 20:55

developer   ~0099449

Branch for review:
OCCT - CR29745_2

akaftasev

2021-03-05 20:55

developer   ~0099450

Results of testing:
http://jenkins-test-12.nnov.opencascade.com/view/CR29745-master-akaftasev/view/COMPARE/

ifv

2021-03-15 08:23

developer   ~0099523

Fix seems to be wrong because it does not provide correct results if trim interval crosses boundary between sequential periodic intervals.

git

2021-11-11 05:56

administrator   ~0105101

Branch CR29745_3 has been created by abulychev-ext.

SHA-1: 834402c78f6e515e6f15e8592221293fe4e4cd0d


Detailed log of new commits:

Author: abulyche
Date: Thu Nov 11 05:55:32 2021 +0300

    0029745: Modeling Algorithms - GeomAdaptor_Surface::VIntervals fails on periodic surfaces
    
    Fixed GeomAdaptor_Curve::LocalContinuity() for periodic surface;
    Fixed GeomAdaptor_Curve::NbIntervals() method for periodic curves

git

2021-11-16 15:50

administrator   ~0105214

Branch CR29745_3 has been updated forcibly by abulychev-ext.

SHA-1: 8abe3798b38d7a72c55e4f1df06556a53cacebd8

git

2021-11-16 19:58

administrator   ~0105224

Branch CR29745_3 has been updated forcibly by abulychev-ext.

SHA-1: 65c887e51a7d91d1ed92c3854caf6da111275d6e

git

2021-11-24 20:15

administrator   ~0105401

Branch CR29745_3 has been updated forcibly by abulychev-ext.

SHA-1: 228d06674630a2edc553f2368d8b93ff1c414aa0

git

2021-11-29 20:48

administrator   ~0105525

Branch CR29745_3 has been updated forcibly by abulychev-ext.

SHA-1: 15f165a95f1d3258793182b5f69fcb9c5291a380

git

2021-12-02 13:19

administrator   ~0105601

Branch CR29745_3 has been updated forcibly by abulychev-ext.

SHA-1: b875b9ad9e7d241d29a3c0b066f8aa5c848d5ac4

git

2021-12-02 14:37

administrator   ~0105605

Branch CR29745_3 has been updated forcibly by abulychev-ext.

SHA-1: 6453925a61ca381c9f581134475f0fcae4d963b1

git

2021-12-05 16:19

administrator   ~0105687

Branch CR29745_3 has been updated forcibly by abulychev-ext.

SHA-1: 31e24b66fe129c4ef6d0983586ddc3bc43b4b3fd

git

2021-12-09 10:29

administrator   ~0105763

Branch CR29745_3 has been updated forcibly by abulychev-ext.

SHA-1: eef0b62268653e95201d1003e2c202a392d35e2a

git

2021-12-09 14:39

administrator   ~0105769

Branch CR29745_3 has been updated forcibly by abulychev-ext.

SHA-1: 3cea8285dd5ccbf01aa0481c92e80eed1f4ce612

abulychev-ext

2021-12-09 18:03

developer   ~0105775

Analyzing results and fixing regressions

git

2021-12-10 20:18

administrator   ~0105795

Branch CR29745_3 has been updated forcibly by abulychev-ext.

SHA-1: e11fe79b4103623da1bf6f24d1f6e2f787b8011d

abulychev-ext

2021-12-10 20:20

developer   ~0105796

Debuging

git

2021-12-14 16:07

administrator   ~0105977

Branch CR29745_3 has been updated forcibly by abulychev-ext.

SHA-1: 54cc0c7a14e982c454e9d3997c5f1ebe9fd35906

abulychev-ext

2021-12-14 16:07

developer   ~0105978

Analyzing results and fixing regressions

git

2021-12-14 16:36

administrator   ~0105980

Branch CR29745_3 has been updated forcibly by abulychev-ext.

SHA-1: c4a3ed375053efa2c27a1cb3939b1c6a62967bac

git

2021-12-14 18:06

administrator   ~0105981

Branch CR29745_3 has been updated forcibly by abulychev-ext.

SHA-1: 10561ea0c0a3f701b24e2bde342023be475153db

git

2021-12-14 21:35

administrator   ~0105984

Branch CR29745_3 has been updated forcibly by abulychev-ext.

SHA-1: 55ff1eda21a76c41d8e704536d00feddb909c7c7

abulychev-ext

2021-12-14 23:09

developer   ~0105985

Testing

git

2021-12-15 02:00

administrator   ~0105986

Branch CR29745_4 has been created by abulychev-ext.

SHA-1: 39d23408fb3a739597802b26988e003650c9d67c


Detailed log of new commits:

Author: abulyche
Date: Wed Dec 15 01:58:57 2021 +0300

    0029745: Modeling Data - GeomAdaptor_Surface::VIntervals fails on periodic surfaces
    Fixed GeomAdaptor_Curve::LocalContinuity() for periodic curves.
    Fixed GeomAdaptor_Curve::NbIntervals() for periodic curves.
    Fixed GeomAdaptor_Curve::Intervals() for periodic curves.
    Deleted definition of length from tests.

git

2021-12-15 14:03

administrator   ~0105993

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: a136691827b82b9674586033306f9e1ac65ee15f

git

2021-12-15 15:47

administrator   ~0105995

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: e28d295abb1f2bbbc1718fceb14258143345ea58

abulychev-ext

2021-12-15 22:34

developer   ~0106004

Analyzing results and fixing regressions

git

2021-12-16 12:33

administrator   ~0106012

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: d80c38806362f02a5425694144c5429c57f12d88

git

2021-12-16 14:26

administrator   ~0106014

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: dd7c271ffbdc45eabac76794387a48de82279ad7

git

2021-12-16 16:55

administrator   ~0106022

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: f5f36413231f1828956b539f0f518aa4fca41f73

git

2021-12-17 19:33

administrator   ~0106054

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 25520774dfe79e120811b4d8b56399ba2edbcbda

git

2021-12-19 20:38

administrator   ~0106105

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 02c7588f9a566519974db7f1614f60f8cc2681fe

git

2021-12-19 21:03

administrator   ~0106107

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: fbd7766dc53d8b141c414c025b11cbc388183a0a

git

2021-12-20 15:18

administrator   ~0106113

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 463d0c2a2cfdf78bda6029f796d37c7ea46401ad

git

2021-12-20 18:10

administrator   ~0106115

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 4a061b5234210de7e9d6e50592eb777c9fe713fb

git

2021-12-20 23:16

administrator   ~0106123

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: bc2186f1064212a76e39969e574b76931d7a2cd1

git

2021-12-22 18:50

administrator   ~0106152

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 82543124c513f650f8c7b5231103d5a382fc6c47

git

2021-12-22 22:04

administrator   ~0106155

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 918691f605acbad5ed9bdfc57975b67f84e9d1c9

git

2021-12-23 00:58

administrator   ~0106156

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: a994126b377401dcba199987775ad695fb302215

git

2021-12-23 01:08

administrator   ~0106157

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 108cf642cb129cc69e5a4809ead36fbbeabccf5c

git

2021-12-23 03:26

administrator   ~0106158

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: c79371846bf6fca989a5e20225d000030eee3eb8

git

2021-12-23 08:05

administrator   ~0106159

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 1b8ecf0328e7526111c80df51642e1cc1793777f

git

2021-12-23 14:34

administrator   ~0106165

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 6c3bb699b6d3dd8b4ccd7fd1b1e7d1dc6d5ace99

git

2021-12-23 19:38

administrator   ~0106169

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: b2f5a65f33906defee23cd2fa7babdf0a46614d6

git

2021-12-23 22:52

administrator   ~0106171

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 2228434465c2c600cfba9f19a8996a9496fc37b6

git

2021-12-24 00:35

administrator   ~0106172

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 59b1c8421188e99d821338718fedffc87c4bcbd9

git

2022-01-13 03:19

administrator   ~0106324

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: d87e40fd131395ce1cf004697028a986b2a81733

git

2022-01-13 11:26

administrator   ~0106333

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 96d10109d269788b18586fd9a4583b5e31dbaae5

git

2022-01-13 13:13

administrator   ~0106335

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: c6a768273349e09c523246d22ca9f8cef7128295

git

2022-01-16 14:30

administrator   ~0106414

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 542ea552f35e583c5931b7ffc14e1f1f81e5586c

git

2022-01-16 17:50

administrator   ~0106416

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: a1e93520717d74689867db2e763f04fd64628bfd

git

2022-01-19 17:57

administrator   ~0106473

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 31b7273efc50ce676b269a29b9d68d175b29a441

git

2022-01-20 13:11

administrator   ~0106478

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 8ae50de81b40d82df83fac7f7d9753b28848c3e8

git

2022-01-20 14:38

administrator   ~0106479

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 54866a1f40044ddef022ba24aebb299d2cee4cc4

git

2022-01-21 01:13

administrator   ~0106490

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 21d934b16371d9cca4b8de08888a033308686a76

git

2022-01-23 01:25

administrator   ~0106542

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 53d1d97e32247211297cefa894309fe5429b26b6

git

2022-01-23 16:17

administrator   ~0106543

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 0ae5d4d52725e6a26ad694230604ca4c47ea3ddd

git

2022-01-23 18:33

administrator   ~0106545

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 91e71bd5b9e433ce47c6a76eee03b7efe24e5532

git

2022-01-23 20:17

administrator   ~0106546

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 282e0031464ae52eed350eea340229c53bc956d9

git

2022-01-23 23:59

administrator   ~0106547

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: baa313f84278a52d26958196d14441c9da7ad1e1

git

2022-01-24 01:49

administrator   ~0106548

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: b66458b11ccaf0da3477eafe692b1ccb4d9b51ac

git

2022-01-24 11:38

administrator   ~0106552

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 6bd89c5b0fecf5541e1fa0c2a2ccaa5f179d15a8

git

2022-01-24 15:13

administrator   ~0106554

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: e62e26ecca4364acc7b5e76497066da81e190786

git

2022-01-24 16:48

administrator   ~0106555

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 27f12ab09304a798868cfbeb005b7f1bcb89361f

git

2022-01-25 03:21

administrator   ~0106565

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 35a4fa5a9573bc11a9964367eb25dc6444c35987

git

2022-01-25 04:51

administrator   ~0106566

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: a7fe762267986617cc6b8b18e4dea104868b3ad7

git

2022-01-25 12:39

administrator   ~0106570

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 3c4cef6f1305766cc16b527e195b8fe0edb8f9b6

git

2022-01-25 18:31

administrator   ~0106585

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: b3ff1178b2063381deccc852c0d98300d3eb5583

git

2022-01-26 11:56

administrator   ~0106595

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: a46db6adb92722f38f8dd5c714af8e5bb5f051c2

git

2022-01-26 14:23

administrator   ~0106604

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 4371d75a5ee97019abc9f6120ba708a129f9c314

git

2022-01-26 17:49

administrator   ~0106608

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 48c2eb08ffdfea35b4afe540691dde93233278ac

git

2022-01-26 21:57

administrator   ~0106611

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: a46d0c0f74fa773a9ed34dea96e6194f71314d5c

abulychev-ext

2022-01-27 02:31

developer   ~0106618

Branch for review:
OCCT - CR29745_4

Results of testing:
http://jenkins-test-occt/view/CR29745_4-master-abulychev-ext/

ifv

2022-01-31 12:19

developer   ~0106688

Last edited: 2022-01-31 15:15

Dear @abulychev-ext, algorithm seems to have a bug. I wrote Draw command "intervals", and two test curves (bc and bc1) with C0 knot inside knots:
for example, bc1 has degree 7 and knots:
   1 : 0 7
   2 : 0.2 6
   3 : 0.4 5
   4 : 0.5 7
   5 : 0.6 4
   6 : 0.8 3
   7 : 1 7
C0 knot is .5
Syntax of command is "intervals curve2d/3d continuity t1 t2"
For searching C1 intervals inside parametric interval [0, 1] result is correct;
Draw[94]> intervals bc1 1 0 1
NbIntervals = 2
0
0.5
1
For searching intervals on shifted parametric interval [0.1, 1.1] result is wrong:
Draw[96]> intervals bc1 1 0.1 1.1
NbIntervals = 1
0.10000000000000001
1.1000000000000001

I would like you to include "intervals" in GeometryTest_CurveCommand.cxx and use it instead of your useless test command OCC29745.
bc, bc1, intervals.cxx are attached.

ifv

2022-01-31 12:20

developer   ~0106689

git

2022-01-31 17:43

administrator   ~0106696

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 1a85a6b81be3bd982e1c010b96c4fa933e2bdab6

git

2022-02-01 19:18

administrator   ~0106709

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 4bf483ef42dbfe1850d794a20ec75f7eeb96e301

abulychev-ext

2022-02-02 12:23

developer   ~0106711

abulychev-ext

2022-02-02 12:25

developer   ~0106712

bug29745_2 (1,292 bytes)
bug29745_1 (238 bytes)

git

2022-02-02 12:52

administrator   ~0106713

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 1965b7afd1a70ae55899e0a7daac939a3353ff6f

git

2022-02-02 17:58

administrator   ~0106720

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 1bd9bd0a3494a9675d0caf79cad05a4172496a1f

git

2022-02-03 03:57

administrator   ~0106725

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 22faa4a7c8e88f711e5d65713dc70c2e6c6ada77

kgv

2022-02-04 10:30

developer   ~0106737

Last edited: 2022-02-04 10:31

@abulychev, (next time?) please consider splitting cosmetic changes into a separate commit / bug, so that logical changes will be more clear in diff.
If you see some existing legacy code improperly formatted - it is preferred creating a separate issue in "Coding" category; auto-formatting tools might be also helpful (when used with correct rules and with caution).

ifv

2022-02-09 13:18

developer   ~0106819

Algorithm seems still has bugs:
if we change knots for curve bc (attached in my previous note), new knot array is:
   1 : 1 1
   2 : 3.0943951023932 1
   3 : 5.18879020478639 2
   4 : 7.28318530717959 1
we can have strange result of test command OCC29745:
Draw[20]> OCC29745 bc 1 0 8
NbIntervals: 3; 0 1 5.1887902047863896 7.2831853071795898 8
NbIntervals, which is calculated by method GeomAdaptor_Curve::NbIntervals(...) is wrong, because method Intervals(...) really generates 4 intervals.
Besides, method Intervals(...) resizes input array, which initially was created as Array(1, 4). It is looks like side effect and not specified for this method.
Small remarks for OCC29745:
    theDI << "Usage : intervals curve2d/3d continuity t1 t2"; - it is wrong
  theCommands.Add("OCC29745", "GeomAdaptor_Surface::VIntervals fails on periodic surfaces",
    __FILE__, OCC29745, group);
wrong help string.

git

2022-02-14 21:18

administrator   ~0106900

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: cf6924d647aaf988e1f75dfd82b994a80b0bca89

git

2022-02-22 12:40

administrator   ~0107025

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: ee1fe7ea77fba3cbf4ebb12f1787ceb634a0e1f1

git

2022-02-24 02:04

administrator   ~0107046

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 25605c6230dddc574eef9d8be9886f65e9dac6d3

git

2022-02-24 11:46

administrator   ~0107049

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: ce7dfe698d570b79f1cd2442f86ebb7b4d8bb48a

git

2022-02-24 12:51

administrator   ~0107050

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: ac1a159621038bc07ac7b94e7216c955addb0f70

git

2022-03-01 11:51

administrator   ~0107116

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 2d4ecf43cbb426b9d416eef96086bbbf770ac76e

abulychev-ext

2022-03-01 15:49

developer   ~0107117

Dear ifv, remarks fixed. Branch ready for review. Results of testing: http://jenkins-test-occt/view/CR29745_4-master-abulychev-ext/

ifv

2022-03-01 16:44

developer   ~0107121

Dear @abulychev-ext, explain please why there is special treatment of 2*pi in method DefinPeriods (see lines 324-328). As far as could understand, this method must work with any values of curve periods and 2pi is no different from the other values.

Method WriteIntervals still has resizing input array. This is unacceptable in method Intervals(...), as I wrote in my previous remarks.
Typical using these method in many CASCADE algorithms is something like that:
NbIntervals = Curve->NbIntervals(Cont);
Array TIntervals(1, NbIntervals+1);
Curve->Intervals(TIntervals, Cont);
for(i = 1; i <= NbIntrervals; ++i)
{
  //Treatment i-th Interval
}
As you can see, NbIntervals is used in loop, but not TIntrervals.Upper(), If really TIntervals.Upper()-1 > NbIntervals, some intervals are not treated.
Do you understand?

git

2022-03-02 20:42

administrator   ~0107143

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 4c870f1587e13da8f4ae4f21244f7fa04e1f9098

git

2022-03-02 23:08

administrator   ~0107150

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: a7d2d4e51f7874e213215fb13598a270ddfc167c

git

2022-03-03 14:09

administrator   ~0107165

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 63b67556a359ea5f54dbd30dcb1ab08851a2cc1a

git

2022-03-03 16:34

administrator   ~0107168

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 5c5d8fb3cda48af64b71f9e856c55d8682b59db5

git

2022-03-04 20:21

administrator   ~0107189

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 4783938721397c9aa0d398fecbc9408ee69f1f05

git

2022-03-05 13:16

administrator   ~0107194

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: ed80df1d7cf5210bbfdd0e89a836ddd8d260fae0

git

2022-03-05 16:07

administrator   ~0107200

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 8fe87777b895d6e29b7f8358c995069355dd4ab0

git

2022-03-05 21:00

administrator   ~0107202

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 9da7ae4645e32c9a151d0ff1122d3bd896e9a1a5

git

2022-03-06 15:04

administrator   ~0107231

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: bec8a0d1d9a573e5a584c2a729b79459467ccdd8

git

2022-03-07 18:39

administrator   ~0107235

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 88d9ff771b23806b86a2e7a6b1c21a0378c886c3

git

2022-03-07 20:57

administrator   ~0107236

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 5e8e4d03631f6e0ce876324d6cd802337688f55c

git

2022-03-09 15:47

administrator   ~0107242

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 0f0c2be2ee63dcbb26aa54badbd0bd3de0c7b89b

git

2022-03-09 21:11

administrator   ~0107244

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 0ef2ae359850d48ea93d1f6ef721dd8ee467eed7

git

2022-03-10 03:12

administrator   ~0107247

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: a4f18e58ace7835c364406d4766b6cce5d5d4775

git

2022-03-10 10:58

administrator   ~0107248

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: b59a4e0f418eeb8c2b891c4241fc4def337033b3

abulychev-ext

2022-03-12 17:50

developer   ~0107269

Dear @ifv, please check my fixes.
Remarks fixed. The WriteIntervals method doesn't have resizing of the input array now. Extra code has been removed. Branch for check: CR29745_4.
Results of testing: http://jenkins-test-occt/view/CR29745_4-master-abulychev-ext/

git

2022-03-17 14:15

administrator   ~0107325

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: fd98ba356bcfb8a7c143bc2373b95450793ac3e7

git

2022-03-17 16:33

administrator   ~0107335

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: bcb38bfd763a59d513773d1849c64d30dc30c1e8

git

2022-03-18 12:38

administrator   ~0107345

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 0b7138e5662a07a0f877ae7cea90a49c38e6907a

git

2022-03-18 17:58

administrator   ~0107351

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: ffb2da673dbba174cc3f0760cd5800e1ff63c9a8

git

2022-03-21 14:00

administrator   ~0107374

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 211b1cc65a673ed350d403286c5e7f581a56f008

git

2022-03-21 16:00

administrator   ~0107376

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 1f93509d7c93b4a637463e4e99ef07585958c504

git

2022-03-21 22:45

administrator   ~0107384

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: ab9caed523edfa7be1256526891bca0ba6ea8780

git

2022-03-24 13:28

administrator   ~0107418

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 486bc8145dfbf5ff92b3addb2afbd21e1a9c4f2f

git

2022-03-24 15:43

administrator   ~0107419

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: 6df2b3b937d7216ab8f576acb17e4c294dacf58e

git

2022-03-25 18:33

administrator   ~0107431

Branch CR29745_4 has been updated forcibly by abulychev-ext.

SHA-1: a33ce45905f129f3b9b641a61c39ecbfa6e1d759

abulychev-ext

2022-03-28 14:01

developer   ~0107445

Branch for review:
OCCT - CR29745_4

Results of testing:
http://jenkins-test-occt/view/CR29745_4-master-abulychev-ext/

ifv

2022-03-29 09:54

developer   ~0107458

Branch CR29745_4 seems to be valid

Branch for integration:
OCCT - CR29745_4
Products - not

smoskvin

2022-04-02 10:41

administrator   ~0107549

Combination -
OCCT branch : IR-2022-04-01
master SHA - 2491eec38b451da5bf60120d3f16ac1187c24423
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-04-01 SHA - bbe72d9e894efff6e87c530e491f58eeac18009a
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18490.900000000318 / 18508.35000000038 [-0.09%]
Products
Total CPU difference: 11719.920000000124 / 11705.520000000122 [+0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 20552.71875 / 20452.9375 [+0.49%]
Products
Total CPU difference: 13242.609375 / 13195.0 [+0.36%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-04-04 21:22

administrator   ~0107603

Branch CR29745_3 has been deleted by kgv.

SHA-1: 55ff1eda21a76c41d8e704536d00feddb909c7c7

git

2022-04-04 21:22

administrator   ~0107604

Branch CR29745_4 has been deleted by kgv.

SHA-1: a33ce45905f129f3b9b641a61c39ecbfa6e1d759

git

2022-04-10 10:48

administrator   ~0107808

Branch CR29745 has been deleted by mnt.

SHA-1: e4a329cc3920ab1f1f6575c69b0c910a9b787e77

git

2022-04-10 10:48

administrator   ~0107809

Branch CR29745_1 has been deleted by mnt.

SHA-1: 7b515a087b727cde31e7dd56920b008cdfa251b6

git

2022-04-10 10:48

administrator   ~0107810

Branch CR29745_2 has been deleted by mnt.

SHA-1: 69f9e8dccadf6c305b5353ff7aca548d4d974c83

Related Changesets

occt: master ab279b12

2021-12-15 01:58:57

abulyche


Committer: smoskvin Details Diff
0029745: Modeling Data - GeomAdaptor_Surface::VIntervals fails on periodic surfaces
Fixed GeomAdaptor_Curve::LocalContinuity() for periodic curves.
Fixed GeomAdaptor_Curve::NbIntervals() for periodic curves.
Fixed GeomAdaptor_Curve::Intervals() for periodic curves.
Improved definition of length in tests.
Update Geom2dAdaptor_Curve to the same behavior.
Affected Issues
0029745
mod - src/Geom2dAdaptor/Geom2dAdaptor_Curve.cxx Diff File
mod - src/GeomAdaptor/GeomAdaptor_Curve.cxx Diff File
mod - src/QABugs/QABugs_20.cxx Diff File
mod - tests/bugs/modalg_6/bug25908 Diff File
mod - tests/bugs/modalg_6/bug27884 Diff File
add - tests/bugs/moddata_3/bug29745 Diff File
mod - tests/hlr/exact_hlr/A1 Diff File
mod - tests/hlr/exact_hlr/C20 Diff File
mod - tests/hlr/exact_hlr/D4 Diff File
mod - tests/hlr/exact_hlr/D5 Diff File

Issue History

Date Modified Username Field Change
2018-05-08 17:55 ventu New Issue
2018-05-08 17:55 ventu Assigned To => msv
2020-11-02 10:41 szy Assigned To msv => akaftasev
2020-11-02 10:41 szy Status new => assigned
2020-11-06 11:58 akaftasev Note Added: 0096583
2020-11-06 11:58 akaftasev Assigned To akaftasev => ventu
2020-11-06 11:58 akaftasev Status assigned => feedback
2020-12-18 18:35 ventu Note Added: 0097726
2020-12-22 11:55 ventu Assigned To ventu =>
2020-12-22 11:55 ventu Assigned To => akaftasev
2021-01-26 11:37 akaftasev Note Added: 0098413
2021-01-28 14:12 git Note Added: 0098476
2021-01-28 14:13 akaftasev Note Added: 0098477
2021-01-29 15:14 akaftasev Status feedback => assigned
2021-02-01 15:27 akaftasev Note Added: 0098571
2021-02-03 18:09 git Note Added: 0098649
2021-02-03 18:26 akaftasev Note Added: 0098650
2021-02-03 21:46 git Note Added: 0098651
2021-02-05 11:43 git Note Added: 0098668
2021-02-05 16:53 git Note Added: 0098677
2021-02-05 16:59 akaftasev Note Added: 0098679
2021-02-08 18:10 akaftasev Note Added: 0098776
2021-02-08 18:28 git Note Added: 0098778
2021-02-18 11:33 git Note Added: 0098946
2021-02-19 11:13 akaftasev Assigned To akaftasev => ifv
2021-02-19 11:13 akaftasev Status assigned => resolved
2021-02-19 11:13 akaftasev Steps to Reproduce Updated
2021-03-04 17:28 ifv Assigned To ifv => akaftasev
2021-03-04 17:39 ifv Note Added: 0099402
2021-03-04 17:39 ifv Status resolved => assigned
2021-03-05 09:11 ifv Note Added: 0099411
2021-03-05 14:26 git Note Added: 0099433
2021-03-05 14:27 git Note Added: 0099434
2021-03-05 18:44 git Note Added: 0099446
2021-03-05 20:53 akaftasev Assigned To akaftasev => ifv
2021-03-05 20:53 akaftasev Status assigned => resolved
2021-03-05 20:53 akaftasev Steps to Reproduce Updated
2021-03-05 20:55 akaftasev Note Added: 0099449
2021-03-05 20:55 akaftasev Note Added: 0099450
2021-03-15 08:23 ifv Note Added: 0099523
2021-03-15 08:23 ifv Assigned To ifv => akaftasev
2021-03-15 08:23 ifv Status resolved => assigned
2021-09-24 08:48 ifv Assigned To akaftasev => abulychev-ext
2021-11-11 05:56 git Note Added: 0105101
2021-11-16 15:50 git Note Added: 0105214
2021-11-16 19:58 git Note Added: 0105224
2021-11-24 20:15 git Note Added: 0105401
2021-11-29 20:48 git Note Added: 0105525
2021-12-02 13:19 git Note Added: 0105601
2021-12-02 14:37 git Note Added: 0105605
2021-12-05 16:19 git Note Added: 0105687
2021-12-09 10:29 git Note Added: 0105763
2021-12-09 14:39 git Note Added: 0105769
2021-12-09 18:03 abulychev-ext Note Added: 0105775
2021-12-10 20:18 git Note Added: 0105795
2021-12-10 20:20 abulychev-ext Note Added: 0105796
2021-12-14 16:07 git Note Added: 0105977
2021-12-14 16:07 abulychev-ext Note Added: 0105978
2021-12-14 16:36 git Note Added: 0105980
2021-12-14 18:06 git Note Added: 0105981
2021-12-14 21:35 git Note Added: 0105984
2021-12-14 23:09 abulychev-ext Note Added: 0105985
2021-12-15 02:00 git Note Added: 0105986
2021-12-15 14:03 git Note Added: 0105993
2021-12-15 15:47 git Note Added: 0105995
2021-12-15 22:34 abulychev-ext Note Added: 0106004
2021-12-16 12:33 git Note Added: 0106012
2021-12-16 14:26 git Note Added: 0106014
2021-12-16 16:55 git Note Added: 0106022
2021-12-17 19:33 git Note Added: 0106054
2021-12-17 19:34 abulychev-ext Time allocated 17.12.2021: 8 h. => set
2021-12-19 20:38 git Note Added: 0106105
2021-12-19 21:03 git Note Added: 0106107
2021-12-20 15:18 git Note Added: 0106113
2021-12-20 18:10 git Note Added: 0106115
2021-12-20 22:13 abulychev-ext Time allocated 20.12.2021: 8 h. => set
2021-12-20 23:16 git Note Added: 0106123
2021-12-22 18:50 git Note Added: 0106152
2021-12-22 22:04 git Note Added: 0106155
2021-12-23 00:58 git Note Added: 0106156
2021-12-23 01:08 git Note Added: 0106157
2021-12-23 03:26 git Note Added: 0106158
2021-12-23 03:30 abulychev-ext Test case number => bugs moddata_3 bug29745_1 ; bugs moddata_3 bug29745_2
2021-12-23 03:35 abulychev-ext Summary GeomAdaptor_Surface::VIntervals fails on periodic surfaces => 0029745: Modeling Data - GeomAdaptor_Surface::VIntervals fails on periodic surfaces
2021-12-23 03:36 abulychev-ext Summary 0029745: Modeling Data - GeomAdaptor_Surface::VIntervals fails on periodic surfaces => Modeling Data - GeomAdaptor_Surface::VIntervals fails on periodic surfaces
2021-12-23 08:05 git Note Added: 0106159
2021-12-23 14:34 git Note Added: 0106165
2021-12-23 19:38 git Note Added: 0106169
2021-12-23 22:52 git Note Added: 0106171
2021-12-24 00:35 git Note Added: 0106172
2022-01-13 03:19 git Note Added: 0106324
2022-01-13 11:26 git Note Added: 0106333
2022-01-13 13:13 git Note Added: 0106335
2022-01-16 14:30 git Note Added: 0106414
2022-01-16 17:50 git Note Added: 0106416
2022-01-19 17:57 git Note Added: 0106473
2022-01-20 13:11 git Note Added: 0106478
2022-01-20 14:38 git Note Added: 0106479
2022-01-21 01:13 git Note Added: 0106490
2022-01-23 01:25 git Note Added: 0106542
2022-01-23 16:17 git Note Added: 0106543
2022-01-23 18:33 git Note Added: 0106545
2022-01-23 20:17 git Note Added: 0106546
2022-01-23 23:59 git Note Added: 0106547
2022-01-24 01:49 git Note Added: 0106548
2022-01-24 11:38 git Note Added: 0106552
2022-01-24 15:13 git Note Added: 0106554
2022-01-24 16:48 git Note Added: 0106555
2022-01-25 03:21 git Note Added: 0106565
2022-01-25 04:51 git Note Added: 0106566
2022-01-25 12:39 git Note Added: 0106570
2022-01-25 18:31 git Note Added: 0106585
2022-01-26 11:56 git Note Added: 0106595
2022-01-26 14:23 git Note Added: 0106604
2022-01-26 17:49 git Note Added: 0106608
2022-01-26 21:57 git Note Added: 0106611
2022-01-27 02:31 abulychev-ext Note Added: 0106618
2022-01-27 02:32 abulychev-ext Assigned To abulychev-ext => ifv
2022-01-27 02:32 abulychev-ext Status assigned => resolved
2022-01-31 12:19 ifv Assigned To ifv => abulychev-ext
2022-01-31 12:19 ifv Status resolved => assigned
2022-01-31 12:19 ifv Note Added: 0106688
2022-01-31 12:20 ifv Note Added: 0106689
2022-01-31 12:20 ifv File Added: bc
2022-01-31 12:20 ifv File Added: bc1
2022-01-31 12:20 ifv File Added: intervals.cpp
2022-01-31 12:20 kgv Target Version => 7.7.0
2022-01-31 12:21 ifv Note Edited: 0106688
2022-01-31 12:23 ifv Time allocated 31.1.2022: 2 h. => set
2022-01-31 15:15 ifv Note Edited: 0106688
2022-01-31 17:43 git Note Added: 0106696
2022-02-01 19:18 git Note Added: 0106709
2022-02-02 12:19 abulychev-ext File Deleted: intervals.cpp
2022-02-02 12:19 abulychev-ext File Deleted: bc
2022-02-02 12:19 abulychev-ext File Deleted: bc1
2022-02-02 12:20 abulychev-ext Test case number bugs moddata_3 bug29745_1 ; bugs moddata_3 bug29745_2 => bugs moddata_3 bug29745
2022-02-02 12:23 abulychev-ext Note Added: 0106711
2022-02-02 12:23 abulychev-ext File Added: bug29745_bc
2022-02-02 12:23 abulychev-ext File Added: bug29745_bc1
2022-02-02 12:24 abulychev-ext File Deleted: bug29745_bc
2022-02-02 12:24 abulychev-ext File Deleted: bug29745_bc1
2022-02-02 12:25 abulychev-ext Note Added: 0106712
2022-02-02 12:25 abulychev-ext File Added: bug29745_2
2022-02-02 12:25 abulychev-ext File Added: bug29745_1
2022-02-02 12:52 git Note Added: 0106713
2022-02-02 17:58 git Note Added: 0106720
2022-02-03 03:57 git Note Added: 0106725
2022-02-03 13:12 abulychev-ext Assigned To abulychev-ext => ifv
2022-02-03 13:12 abulychev-ext Status assigned => resolved
2022-02-03 13:12 abulychev-ext Steps to Reproduce Updated
2022-02-04 10:30 kgv Note Added: 0106737
2022-02-04 10:31 kgv Note Edited: 0106737
2022-02-04 12:20 ifv Time allocated 1.2.2022: 3 h. => set
2022-02-09 12:56 ifv Assigned To ifv => abulychev-ext
2022-02-09 13:18 ifv Note Added: 0106819
2022-02-11 10:39 ifv Time allocated 9.2.2022: 4 h. => set
2022-02-14 21:18 git Note Added: 0106900
2022-02-22 12:40 git Note Added: 0107025
2022-02-24 02:04 git Note Added: 0107046
2022-02-24 11:46 git Note Added: 0107049
2022-02-24 12:51 git Note Added: 0107050
2022-03-01 11:51 git Note Added: 0107116
2022-03-01 15:49 abulychev-ext Note Added: 0107117
2022-03-01 15:50 abulychev-ext Assigned To abulychev-ext => ifv
2022-03-01 15:50 abulychev-ext Steps to Reproduce Updated
2022-03-01 16:09 ifv Assigned To ifv => abulychev-ext
2022-03-01 16:44 ifv Status resolved => assigned
2022-03-01 16:44 ifv Note Added: 0107121
2022-03-02 20:42 git Note Added: 0107143
2022-03-02 23:08 git Note Added: 0107150
2022-03-03 14:09 git Note Added: 0107165
2022-03-03 16:34 git Note Added: 0107168
2022-03-04 20:21 git Note Added: 0107189
2022-03-05 13:16 git Note Added: 0107194
2022-03-05 16:07 git Note Added: 0107200
2022-03-05 21:00 git Note Added: 0107202
2022-03-06 15:04 git Note Added: 0107231
2022-03-07 18:39 git Note Added: 0107235
2022-03-07 20:57 git Note Added: 0107236
2022-03-09 15:47 git Note Added: 0107242
2022-03-09 21:11 git Note Added: 0107244
2022-03-10 03:12 git Note Added: 0107247
2022-03-10 10:58 git Note Added: 0107248
2022-03-12 17:50 abulychev-ext Note Added: 0107269
2022-03-12 17:50 abulychev-ext Assigned To abulychev-ext => ifv
2022-03-12 17:50 abulychev-ext Status assigned => resolved
2022-03-16 10:43 ifv Assigned To ifv => abulychev-ext
2022-03-16 10:44 ifv Status resolved => assigned
2022-03-17 14:15 git Note Added: 0107325
2022-03-17 16:33 git Note Added: 0107335
2022-03-18 12:38 git Note Added: 0107345
2022-03-18 17:58 git Note Added: 0107351
2022-03-21 14:00 git Note Added: 0107374
2022-03-21 16:00 git Note Added: 0107376
2022-03-21 22:45 git Note Added: 0107384
2022-03-23 13:30 abulychev-ext Assigned To abulychev-ext => ifv
2022-03-23 13:30 abulychev-ext Status assigned => resolved
2022-03-24 12:24 abulychev-ext Assigned To ifv => abulychev-ext
2022-03-24 12:24 abulychev-ext Status resolved => assigned
2022-03-24 13:28 git Note Added: 0107418
2022-03-24 15:43 git Note Added: 0107419
2022-03-25 18:33 git Note Added: 0107431
2022-03-28 13:59 abulychev-ext Assigned To abulychev-ext => ifv
2022-03-28 13:59 abulychev-ext Status assigned => resolved
2022-03-28 14:01 abulychev-ext Note Added: 0107445
2022-03-29 09:54 ifv Assigned To ifv => bugmaster
2022-03-29 09:54 ifv Status resolved => reviewed
2022-03-29 09:54 ifv Note Added: 0107458
2022-04-02 10:41 smoskvin Status reviewed => tested
2022-04-02 10:41 smoskvin Note Added: 0107549
2022-04-02 19:35 smoskvin Changeset attached => occt master ab279b12
2022-04-02 19:35 abulyche Assigned To bugmaster => abulyche
2022-04-02 19:35 abulyche Status tested => verified
2022-04-02 19:35 abulyche Resolution open => fixed
2022-04-04 21:22 git Note Added: 0107603
2022-04-04 21:22 git Note Added: 0107604
2022-04-10 10:48 git Note Added: 0107808
2022-04-10 10:48 git Note Added: 0107809
2022-04-10 10:48 git Note Added: 0107810